Bug 29108 - Add q parameters to items routes
Summary: Add q parameters to items routes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 29107
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-24 12:03 UTC by Tomás Cohen Arazi
Modified: 2021-10-29 16:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29108: Add q parameters to items routes (24.12 KB, patch)
2021-09-24 12:07 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29108: Add q parameters to items routes (24.20 KB, patch)
2021-09-24 14:52 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-09-24 12:03:23 UTC

    
Comment 1 Tomás Cohen Arazi 2021-09-24 12:07:47 UTC
Created attachment 125237 [details] [review]
Bug 29108: Add q parameters to items routes

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Martin Renvoize 2021-09-24 14:34:05 UTC
This is great to see.. but as discussed, with bug 29105 in mind we need to think about how we overload the existing API search method to allow for the item-level_itypes mapping in searches.
Comment 3 Tomás Cohen Arazi 2021-09-24 14:45:38 UTC
Well, this one stands on its own. We should move the discussion about the search override to bug 29105.
Comment 4 Martin Renvoize 2021-09-24 14:52:01 UTC
Created attachment 125254 [details] [review]
Bug 29108: Add q parameters to items routes

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-09-24 14:52:39 UTC
Fair.. signed off then.
Comment 6 Martin Renvoize 2021-09-30 10:26:28 UTC
This is another trivial really.. going straight for QA
Comment 7 Jonathan Druart 2021-10-28 15:45:09 UTC
Pushed to master for 21.11, thanks to everybody involved!